Subject: bug#11450: 24.1.50; NS regression: fallback font used even when glyph available in primary font

From: David Leatherman <[email-masked]>
Date: Tue, 04 Sep 2012 15:09:33 -0400

Just a quick update; The notes I added before seem to remain valid for
24.2. I added the CCs back to the message just to see if anyone had any
interest. As I forgot to CC anyone last time, the details are here:

http://debbugs.gnu.org/cgi/bugreport.cgi?msg=23;bug=11450

Steve, I created a small patch that I am using with Homebrew on the Mac
when building Emacs. It might be of use to you and while it likely isn't
the "right" fix, it'll do for now.

diff --git a/lisp/international/characters.el b/lisp/international/characters.el
index c75ca81..01eb036 100644
--- a/lisp/international/characters.el
+++ b/lisp/international/characters.el
@@ -1215,7 +1215,6 @@
 	 (#x1F00 #x1FFF greek)
 	 (#x2000 #x27FF symbol)
 	 (#x2800 #x28FF braille)
-	 (#x2900 #x2BFF symbol)
 	 (#x2C00 #x2C5F glagolitic)
 	 (#x2C60 #x2C7F latin)
 	 (#x2C80 #x2CFF coptic)
@@ -1223,7 +1222,6 @@
 	 (#x2D30 #x2D7F tifinagh)
 	 (#x2D80 #x2DDF ethiopic)
 	 (#x2DE0 #x2DFF cyrillic)
-	 (#x2E00 #x2E7F symbol)
 	 (#x2E80 #x2FDF han)
 	 (#x2FF0 #x2FFF ideographic-description)
 	 (#x3000 #x303F cjk-misc)